Name: iptables-milab
Summary: iptables for Machine Intelligence Laboratory
Version: 10.0
Release: 1
License: Not to be distributed outside of CUED
Group: CUED/MILAB/Configuration
Source0: iptables.conf
Source1: iptables.init
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: Anna Langley <jal58@cam.ac.uk>
Requires: iptables
Url: http://mi.eng.cam.ac.uk/
BuildArch: noarch
Distribution: SUSE
Requires: iptables >= 1.3.1

%description
This package installs the default MILAB iptables configuration, and
ensures that the configuration is used at boot time.

This definition is more restrictive than previous versions, and by default
does not allow everything from local machines.

If you want to change the rules, edit /etc/sysconfig/iptables then run 
"rciptables start"


%install
cd "$RPM_SOURCE_DIR"
mkdir -p "$RPM_BUILD_ROOT"/etc/sysconfig
cp iptables.conf "$RPM_BUILD_ROOT"/etc/sysconfig/iptables
mkdir -p "$RPM_BUILD_ROOT"/etc/init.d
cp iptables.init "$RPM_BUILD_ROOT"/etc/init.d/iptables
mkdir -p "$RPM_BUILD_ROOT"/sbin
ln -s /etc/init.d/iptables "$RPM_BUILD_ROOT"/sbin/rciptables

%post
chkconfig --add iptables
iptables --flush
/sbin/rciptables start
echo iptables started

%postun
iptables --flush
echo restarting networking, otherwise the machine may be unstable
rmmod -f ipt_state iptable_filter ip_tables
rcnetwork restart

%clean
/bin/rm -rf "$RPM_BUILD_ROOT"

%files 
%defattr(-,root,root)
/sbin/rciptables
%config %attr(400,root,root) /etc/sysconfig/iptables
%attr(750,root,root) /etc/init.d/iptables


%changelog
* Mon Nov 14 2005 Anna Langley <jal58@cam.ac.uk>
  Adapted for SuSE 10.0
* Mon May 23 2005 Anna Langley <jal58@cam.ac.uk>
  Adapted for SuSE 9.3 
* Wed Sep 15 2004 Anna Langley <jal58@eng.cam.ac.uk>
  Put in correct group, updated dependencies.
* Thu Sep 09 2004 Anna Langley <jal58@eng.cam.ac.uk>
  Created initial RPM.
